
 LinHES - Bug # 392: guide data download not required prior to watching TV

Status: Closed Priority: Low
Author: Human Category:
Created: 06/16/2009 Assignee: jams
Updated: 03/25/2010 Due date:
Description: In R5.5 and earlier versions, the download of channel guide data was semi-parallel, in that one day of guide 

data would be downloaded in series with the rest of the post-install setup, and the rest would be downloaded 
in parallel.  This was the fastest it could be without allowing a new user to see "Unknown" show up for all their 
shows.

In R6, the channel guide download is 100% parallel, allowing users to watch live TV or go to the guide before 
data is available for the present day.  They will see "Unknown" a lot.

Perhaps the best solution is to pop up some text that explains that until guide data has a chance to load, 
some shows may appear as "Unknown."  This will likely be faster than downloading a day of guide data in 
series, and it is more informative in case users skip ahead to see shows that are coming up later in the next 
two weeks.

Associated revisions
03/25/2010 07:21 pm - jams
linhes-run: display text saying the guide data is being loaded. Some shows may appear as unkown

closes #392

History
03/21/2010 07:49 am - jams
- Assignee set to jams

- Priority changed from Normal to Low

03/21/2010 07:20 pm - jams
- Target version set to 6.03.00

03/25/2010 06:27 pm - jams
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"616998135e51efd57a4ec071ea9ec753c6bcbee5".

05/17/2025 1/1


